<?php
# GObook version 1.0. Гостевая книга для сайта.
# Copyright (c) 2010 Сергей Козлов
# www.sergk.ru
#
# Этот файл является частью GObook v.1.0.
# GObook является свободным программным обеспечением: вы можете
# распростронять и / или модифицировать его в соотвествии с условиями
# GNU General Public License, опубликованной Free Software Foundation,
# версии 3.
#
# GObook распростроняется в надежде, что будет полезной, но БЕЗ КАКИХ-
# ЛИБО ГАРАНТИЙ, даже без подразумеваемой гарантией или пригодности для
# определенных целей. См. GNU General Public License для более подробной
# информации. Вы должны были получить копию GNU Genereal Public License
# вместе с этой программой. Если нет, см. http://www.gnu.org/licenses/
#
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/

class Navigator
{
	function __construct($all,$pnumber,$query='')
	{
		$this->all=$all;
		$this->pnumber=$pnumber;
		$this->query=$query;
		$this->page=isset($_GET['page']) ? (int)$_GET['page'] : 1;
	}

	function start()
	{
		$this->num_pages=ceil($this->all/$this->pnumber);
		
		if (isset($_GET['last']))
		$this->page=$this->num_pages;
		
		$this->start=$this->page*$this->pnumber-$this->pnumber;

		if ($this->page > $this->num_pages || $this->page < 1)
		{
			$this->page=1;
			$this->start=0;
		}

		return $this->start;
	}

	function navi()
	{
		
		if ($this->num_pages<2)
		return '';		
		
		$buff='';
		
    for($pr = '', $i =1; $i <= $this->num_pages; $i++)
    {
        $buff.= 
        $pr=(($i == 1 || $i == $this->num_pages || abs($i-$this->page) < 2) ? ($i == $this->page ? " [$i] " : ' <a href="'.$_SERVER['SCRIPT_NAME'].'?page='.$i.'&amp;'.$this->query.'">'.$i.'</a> ') : (($pr == ' ... ' || $pr == '')? '' : ' ... '));
    }
		return $buff;
	}

}

function smile ( $text )
{
	$files = glob( '../smiles/*.gif' );
	$smiles = array( );
	$pics = array( );
		
	foreach ( $files as $a_files )
	{
		$name = pathinfo( $a_files, PATHINFO_FILENAME );
		$smiles[] = '|\.'. preg_quote( $name ) .'\.|i'; 
		$pics[] = '<img src="' . $a_files . '" alt="' . $name . '">';
	}
return preg_replace( $smiles, $pics, $text );
}
?>
